package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.VpnIpsecProposal2Model;

public interface VpnIpsecProposal2Provider extends SuperProvider {

    /**
     * 创建Vpn-Ipsec提议2
     *
     * @param vpnIpsecProposal2Model 管理员
     * @return
     */
    BocloudResult create(VpnIpsecProposal2Model vpnIpsecProposal2Model);

    BocloudResult update(VpnIpsecProposal2Model vpnIpsecProposal2Model);

    BocloudResult delete(VpnIpsecProposal2Model vpnIpsecProposal2Model);

}
